<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:output encoding="utf-8" method="html" indent="no"/>
 <xsl:strip-space elements="*" />
	<xsl:template match="/methodResponse/params/param/value/struct">
		<html>
			<head>
			 	<xsl:text disable-output-escaping="yes">
					<![CDATA[
					<style type="text/css">

					body {
					font-family: Arial, Helvetica, sans-serif;
					color:#000000;
					background-color:#FFFFFF;
					word-wrap: break-word;
					}

					h3 {
					color:#AA0000;
					}

					#position {
					color:#000000;
					font-weight: bold;
					}
					
					#imdbid {					
					}

					#imdblink {
					color:#000000;
					}
					
					#downloadlink {					
					}

					#downloads {
					color:#808080;
					font-weight: bold;
					}

					#status {
					font-weight: bold;
					}

					</style>
					]]>
				</xsl:text>
			</head>
			<body>
				<h3>
					Results: <xsl:value-of select="count(member[name = 'data']/value/array/data/value/struct)"/>
				</h3>
				<xsl:apply-templates select="member[name = 'data']/value/array/data/value/struct">
					<!--xsl:sort select="member[name = 'MovieName']/value" order="ascending"/-->
					<!--xsl:sort select="member[name = 'MovieYear']/value" data-type="number" order="ascending"/-->
					<xsl:sort select="member[name = 'IDMovieImdb']/value" data-type="number" order="ascending"/>
					<xsl:sort select="member[name = 'ISO639']/value" order="ascending"/>
					<xsl:sort select="member[name = 'SubDownloadsCnt']/value" data-type="number" order="descending"/>
				</xsl:apply-templates>
				<br/>
				<span id="status">
					Status:
					<xsl:value-of select="member[name = 'status']/value"/>
				</span>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="member[name = 'data']/value/array/data/value/struct">
		<div>
			<span id="position">
				<xsl:value-of select="(position())"/>.
			</span>
			<span id="imdbid" title="IMDB id">
				<xsl:value-of select="member[name = 'IDMovieImdb']/value"/>
			</span>
			-
			<a id="imdblink" title="IMDB Link" target="_blank" href="http://www.imdb.com/title/tt{member[name = 'IDMovieImdb']/value}/">
				<xsl:value-of select="member[name = 'MovieName']/value"/>
				(<xsl:value-of select="member[name = 'MovieYear']/value"/>)
			</a>
			-
			<a id="downloadlink" title="Direct Subtitle Download" href="{member[name = 'ZipDownloadLink']/value}">
				<xsl:value-of select="member[name = 'MovieReleaseName']/value"/> - <xsl:value-of select="member[name = 'ISO639']/value"/>
			</a>
			-
			<span id="downloads" title="Download Count">
				<xsl:value-of select="member[name = 'SubDownloadsCnt']/value"/>
			</span>
		</div>
		<br/>
	</xsl:template>
</xsl:stylesheet>